import logging

from aiohttp import ClientSession, ClientResponse

LOGGER = logging.getLogger(__name__)


class GestionSportsConnector:

    def __init__(self, url: str):
        LOGGER.info("Initializing connection to GestionSports API")
        self.url = url
        self.session = ClientSession()

    def __exit__(self, exc_type, exc_val, exc_tb):
        self.session.close()

    async def connect(self) -> ClientResponse:
        LOGGER.info("Connecting to GestionSports API")
        async with self.session.get(self.url) as response:
            await response.text()
            return response
